## org.apache.fop.apps
Class PrintCommandLine

    java.lang.Object
      |
      +--org.apache.fop.apps.CommandLine
            |
            +--org.apache.fop.apps.PrintCommandLine

public class PrintCommandLine
extends CommandLine

This class prints a xsl-fo dokument without interaction. At the moment java has not the possibility to configure the printer and it's options without interaction (30.03.2000). This class allows to print a set of pages (from-to), even/odd pages and many copies. - Print from page xxx: property name - start, value int - Print to page xxx: property name - end, value int - Print even/odd pages: property name - even, value boolean - Print xxx copies: property name - copies, value int

Constructor Summary
`PrintCommandLine(java.lang.String[] args)`

Method Summary
`static void` `main(java.lang.String[] args)` mainline method first command line argument is input file second command line argument is output file

Methods inherited from class org.apache.fop.apps.CommandLine
`fileInputSource, printUsage, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintCommandLine

    public PrintCommandLine(java.lang.String[] args)

Method Detail

### main

    public static void main(java.lang.String[] args)

  Description copied from class: CommandLine
  mainline method first command line argument is input file second command line argument is output file
  Tags copied from class: CommandLine
  Parameters:
    `command` - line arguments

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.